Bug 138967 - gnome-keybinding-properties does not accept <Super>s
gnome-keybinding-properties does not accept <Super>s
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-11-12 02:35 EST by Nigel Tao
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-30 17:31:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Nigel Tao 2004-11-12 02:35:25 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; rv:1.7.3)
Gecko/20041020 Firefox/0.10.1

Description of problem:
Unable to set <Super>s (or <Super>-anything) as a GNOME keyboard
shortcut.  <Ctrl>s, <Shift><Ctrl><Alt>s work fine.

Super is the "Windows" key between Ctrl and Alt.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. GNOME Menu -> Applications -> Preferences -> Keyboard Shortcuts.
2. Click on an action (e.g. Search).
3. Press <Super>s.

Actual Results:  Shortcut is listed as Super_L.

Expected Results:  Shortcut should be <Super>s.

Additional info:
Also noted in bug #110710 (comment 2).
Possibly related to bug #138881.
Comment 1 Ignacio Vazquez-Abrams 2005-01-26 15:37:54 EST
I've noticed this as well, and I went ahead and logged it upstream.

Comment 2 Matthew Miller 2006-07-10 18:44:20 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 3 John Thacker 2006-10-30 17:31:56 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.